Bug 52788 - konqueror requires openssl-devel be installed to browse ssl enabled web sites
konqueror requires openssl-devel be installed to browse ssl enabled web sites
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: kdelibs (Show other bugs)
roswell
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Ben Levenson
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-28 23:08 EDT by David Mansfield
Modified: 2007-04-18 12:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-29 18:30:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Mansfield 2001-08-28 23:08:18 EDT
Description of Problem:
without the openssl-devel package (and the symlink, /usr/lib/libssl.so 
which points to /lib/libssl.so.0.9.6b), konqueror will fail to access any 
ssl enabled web site, instead popping up a dialog 'cant connect to host' 
or something like that.  you can see it by going into konqueror settings, 
go to crypto section, go to openssl tab and click 'test' button.  then 
install/remove openssl-devel package and try again.

Version-Release number of selected component (if applicable):
kde-2.2 from roswell

How Reproducible:
always

Steps to Reproduce:
1. see above
2. 
3. 

Actual Results:
see above

Expected Results:
see above

Additional Information:
Comment 1 Bernhard Rosenkraenzer 2001-08-29 05:54:50 EDT
Konqueror dlopen()s libssl.so - please move that file to the openssl base 
package, that's a much simpler fix than patching Konqueror to glob() 
/usr/lib/*ssl* and dlopen() the best match.

Assigning to openssl
Comment 2 Nalin Dahyabhai 2001-08-29 18:30:03 EDT
Structure sizes change between every release of OpenSSL.  Binary
compatibility is not guaranteed.  Using dlopen() to demand-load
libssl and get the addresses of functions it provides is all but
guaranteed to break applications down the road, and moving the
symlink from openssl-devel to openssl won't help then.  Fix kssl.

Punting back to kdelibs.
Comment 3 Bernhard Rosenkraenzer 2001-08-30 10:48:01 EDT
Done in 2.2-9

Note You need to log in before you can comment on or make changes to this bug.